Org settings, dashboards & reporting
Get Fireblocks Integration
Returns the org Fireblocks integration with masked API key, signer-key flags, CSR, asset and network IDs.
GEThttps://api.toku.com/stablecoin-payroll/get-fireblocks-integration
Required scope: integrations:read
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/get-fireblocks-integration?orgID=%3CorgID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"fireblocksApiKeyMasked": "string",
"hasApiKey": true,
"hasSignerKey": true,
"fireblocksSignerKey": "string",
"fireblocksAssetId": "string",
"fireblocksNetworkID": "string",
"fireblocksAssetLegacyId": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
orgIDstring<uuid>requiredResponse
200Successful response
fireblocksApiKeyMaskedstringrequiredAllowed: matches ^(?:••••••••(?:[\s\S]{4})?)?$
hasApiKeybooleanrequiredhasSignerKeybooleanrequiredfireblocksSignerKeystringrequiredAllowed: matches ^(?![\s\S]*PRIVATE KEY)
fireblocksAssetIdstringrequiredfireblocksNetworkIDstringrequiredfireblocksAssetLegacyIdstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits